Bug 216469 - Anaconda fetches wrongly-named files for PXE+HTTP installs
Anaconda fetches wrongly-named files for PXE+HTTP installs
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-11-20 12:35 EST by Phil Mayers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-01 17:11:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Apache log showing anaconda fetching the wrong filenames (2.46 KB, text/plain)
2006-11-20 12:35 EST, Phil Mayers
no flags Details

  None (edit)
Description Phil Mayers 2006-11-20 12:35:10 EST
Description of problem:

Performing a PXE then HTTP install of FC6 causes Anaconda to start fetching the
wrong files (seemingly wrongly-named) over HTTP. This causes the install to fail
either because it sees the wrong repomd file or no file

Version-Release number of selected component (if applicable):

Anaconda on FC6 release DVD image

How reproducible:


Steps to Reproduce:
1. PXE boot the kernel/ramdisk images from FC6
2. Select HTTP install, type server.domain.com path /kickstart/fc-6
3. Watch it fail
Actual results:

Installation fails

Expected results:

Installation should succeed

Additional info:

See attached file for Apache log extract showing a failure
Comment 1 Phil Mayers 2006-11-20 12:35:10 EST
Created attachment 141672 [details]
Apache log showing anaconda fetching the wrong filenames
Comment 2 Chris Lumens 2006-12-01 17:11:49 EST
Looks like Peter fixed this with his changes to how the split media urlinstall
directories are discovered.  It'll look for directories containing a .discinfo
file instead of just using a static list of directories.  Please try a tree with
anaconda- or later and reopen this bug if you continue to see this problem.
Comment 3 Need Real Name 2006-12-14 15:19:04 EST
I had the same problem, my FC6 installed a FC5 on my laptop!
(our http install catalog contains FedoraCore-4, FedoraCore-5, FedoraCore-6)

The bug indeed come from the code in urlinstall.py, precisely the function
__checkUrlForIsoMounts which has the following comments:
# account for multiple mounted ISOs on loopback...bleh
# assumes ISOs are mounted as AAAAN where AAAA is some alpha text
# and N is an integer.  so users could have these paths:
#     CD1, CD2, CD3
#     disc1, disc2, disc3
#     qux1, qux2, qux3
# as long as the alpha text is consistent and the ints increment
# NOTE: this code is basically a guess. we don't really know if
# they are doing a loopback ISO install, but make a guess and
# shove all that at yum and hope for the best   --dcantrell

So to avoid the problem, you should use a directory match which does not match
the regular expression [A-Za-z]+-?[0-9]*
For example do not use FC-6 or FC6, but use FC.6 or Fedora-Core-6
I checked the FC.6 and it solved my problem

Note You need to log in before you can comment on or make changes to this bug.